### Method

# ECal ComponentPeriod set_end

since: 3.34

#### Declaration [src]

    void
    e_cal_component_period_set_end (
      ECalComponentPeriod* period,
      const ICalTime* end
    )

#### Description [src]

Set the end of the `period`. This can be called only on `period` objects of kind `E_CAL_COMPONENT_PERIOD_DATETIME`.

Available since: 3.34

#### Parameters

`end`

  Type: `None`

  An `ICalTime`, the end of the `period`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.